How to Update Compiz Fusion **8/22/07**

Compiz, KDE, Gnome, Fluxbox, etc...

Moderator: Moderators

rhomp2002
Simple Hen
Posts: 97
Joined: Fri Jan 26, 2007 3:19
Location: jamaica, ny, usa

Re: How to Update Compiz Fusion **8/22/07**

Post by rhomp2002 » Sat Aug 25, 2007 1:30

I ran you update mechanism all the way through with no problems as stated in this subject above. After doing so I then ran an "emerge -upN world" and got this result:

!! All ebuilds that could satisfy "~dev-python/compizconfig-python-9999" have been masked.
!!! One of the following masked packages is required to complete your request:
- dev-python/compizconfig-python-9999 (masked by: missing keyword)

For more information, see MASKED PACKAGES section in the emerge man page or
refer to the Gentoo Handbook.
(dependency required by "x11-apps/fusion-icon-9999" [ebuild])



!!! Problem resolving dependencies for app-misc/sabayonlive-tools
!!! Depgraph creation failed.


Since I already successfully installed fusion-icon and compiz-python, what do I have to do now to get past this mess?


:? :? :evil: :evil:

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: How to Update Compiz Fusion **8/22/07**

Post by wolfden » Sat Aug 25, 2007 3:07

use the package.mask file and mask them, just have to remember to unmask them when u go to update compiz fusion in the future

I just added to the file and world updates are a good to go for me

Code: Select all

kde-misc/accel-manager
x11-misc/desktop-acceleration-helpers
x11-apps/fusion-icon

Jmanfoo
Baby Hen
Posts: 5
Joined: Sat Aug 25, 2007 4:28

Re: How to Update Compiz Fusion **8/22/07**

Post by Jmanfoo » Sat Aug 25, 2007 4:31

Here's what happens when I run fusionupdate.sh:
http://www.pastebin.ca/669817

I'm running 3.4e on x86_64 platform. I got everything removed, so everything is broken now, but can't get it fixed due to the error above. Please help!!!

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: How to Update Compiz Fusion **8/22/07**

Post by wolfden » Sat Aug 25, 2007 4:37

ummmmmm you can't be following the post properly, go back to the begining of this thread and start over. It can't possibly pull in the packages you are getting if you follow the directions properly

If you don't have the use set you can do:

Code: Select all

echo "x11-libs/libX11 xcb" >> /etc/portage/package.use

dedeaux
Baby Hen
Posts: 7
Joined: Fri Aug 24, 2007 20:09
Location: Albertville, France

Re: How to Update Compiz Fusion **8/22/07**

Post by dedeaux » Sat Aug 25, 2007 12:17

Thanks for this quick and easy guide wolfden. I am glad to be back in a Gentoo environment. I ran Gentoo exclusively from 2002 until early 2006 while working though my degree. I got rid of my laptop after finishing my degree and our family computer ran XP.

I recently bought a laptop that I have installed Sabayon 3.4e on with very few issues. I have only two issues to solve and this thread addresses one of them.

I chose GNOME over KDE when I installed.

When exiting to logout, reboot, shutdown, etc. the computer would just hang. I could however kill the X Server and all was ok from there. Reading through the forums and other net pages I concluded that the problem is likely in compiz-fusion. So, I decided to move to the 0.5.2 version as described in this thread. Very easy and quick.

However, fusion-icon is giving this output and of course, I have no compiz-fusion running.

Code: Select all

* Using the GTK Interface
* No module named interface_gtk
... Trying another interface
* Using the Qt4 Interface
* No module named interface_qt4
... Trying another interface
* Using the Qt3 Interface
* No module named interface_qt3
... Trying another interface
* Error: All interfaces failed, aborting!
Once again, I am using GNOME. Thanks in advance for helping me get this resolved.

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: How to Update Compiz Fusion **8/22/07**

Post by wolfden » Sat Aug 25, 2007 14:52

It has to be from the missing use flags.

look in your /etc/make.conf

the important flags that are missing are:
qt4 qt3 qt3support gtk sdl png gif opengl

so if you add them to that file in the USE= area, than reinstall fusion-icon, it will get built with the correct usages

dedeaux
Baby Hen
Posts: 7
Joined: Fri Aug 24, 2007 20:09
Location: Albertville, France

Re: How to Update Compiz Fusion **8/22/07**

Post by dedeaux » Sat Aug 25, 2007 21:25

Thanks wolfden. I checked my /etc/make.conf and interestingly none of those were in the USE= line. After adding them and emerging fusion-icon again I was able to get off the ground.

Running fusion-icon from the terminal gave me no window decorations and an error about dbus not being available. Sorry, I didn't copy the terminal output. Fiddling with reloading the window manager brought the decorations back. I will reboot tomorrow and see if it all comes back after a clean reboot.

One silly question. Is there a default configuration somewhere of the original compiz-fusion config from the livedvd and what got installed originally? Seems like now most everything is turned off -- I would love to be able to drop in a config fiel and have things back to the way they were on the LiveDVD.

BlueJayofEvil
Growing Hen
Posts: 183
Joined: Tue Jun 12, 2007 3:30
Location: Minnesota, USA

Re: How to Update Compiz Fusion **8/22/07**

Post by BlueJayofEvil » Mon Aug 27, 2007 4:31

Ok, I got up to the point where you use the "fusionupdate.sh merge" command. Then after it emerges several C-F components, I get this:

Code: Select all

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/x11-libs/compizconfig-backend-kconfig-0.5.2/work/compizconfig-backend-kconfig-0.5.2/config.log

!!! ERROR: x11-libs/compizconfig-backend-kconfig-0.5.2 failed.
Call stack:
  ebuild.sh, line 1621:   Called dyn_compile
  ebuild.sh, line 973:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  ebuild.sh, line 1311:   Called kde_src_compile
  kde.eclass, line 170:   Called kde_src_compile 'all'
  kde.eclass, line 340:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 322:   Called econf '--with-x' '--enable-mitshm' '--with-xinerama' '--with-qt-dir=/usr/qt/3' '--enable-mt' '--with-qt-libraries=/usr/qt/3/lib' '--disable-dependency-tracking' '--disable-debug' '--without-debug' '--without-arts' '--with-extra-includes=/include' '--with-extra-libs=/lib'
  ebuild.sh, line 578:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-libs/compizconfig-backend-kconfig-0.5.2/temp/build.log'.

!!! This ebuild is from an overlay: '/usr/portage/local/layman/xeffects'

wolfden
Sharecropper
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA
Contact:

Re: How to Update Compiz Fusion **8/22/07**

Post by wolfden » Mon Aug 27, 2007 15:42

augh, when people gonna learn the error is actually up above where it says Error

:roll:


If you need support, post the topmost build error

BlueJayofEvil
Growing Hen
Posts: 183
Joined: Tue Jun 12, 2007 3:30
Location: Minnesota, USA

Re: How to Update Compiz Fusion **8/22/07**

Post by BlueJayofEvil » Mon Aug 27, 2007 19:04

Sorry, my bad. Here's the error I got:

Code: Select all

configure: error:
you need to install kdelibs first.

If you did install kdelibs, then the Qt version that is picked up by
this configure is not the same version you used to compile kdelibs.
The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the
_same Qt version_, compiled with the _same compiler_ and the same Qt
configuration settings.


!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/x11-libs/compizconfig-backend-kconfig-0.5.2/work/compizconfig-backend-kconfig-0.5.2/config.log

!!! ERROR: x11-libs/compizconfig-backend-kconfig-0.5.2 failed.
Call stack:
  ebuild.sh, line 1621:   Called dyn_compile
  ebuild.sh, line 973:   Called qa_call 'src_compile'
  ebuild.sh, line 44:   Called src_compile
  ebuild.sh, line 1311:   Called kde_src_compile
  kde.eclass, line 170:   Called kde_src_compile 'all'
  kde.eclass, line 340:   Called kde_src_compile 'myconf' 'configure' 'make'
  kde.eclass, line 322:   Called econf '--with-x' '--enable-mitshm' '--with-xinerama' '--with-qt-dir=/usr/qt/3' '--enable-mt' '--with-qt-libraries=/usr/qt/3/lib' '--disable-dependency-tracking' '--disable-debug' '--without-debug' '--without-arts' '--with-extra-includes=/include' '--with-extra-libs=/lib'
  ebuild.sh, line 578:   Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/x11-libs/compizconfig-backend-kconfig-0.5.2/temp/build.log'.

!!! This ebuild is from an overlay: '/usr/portage/local/layman/xeffects'

Post Reply